#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                <li class="active">&{'detail_permohonan.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
        #{form @penyedia.DistributorCtr.persetujuanDistributorSubmit(), method:'POST', id:'formPersetujuans'}
            <!-- Toolbar -->
            <input type="hidden" name="penyediaId" value="${penyediaId}">
            <input type="hidden" name="idDist" value="${idsDist}">
            <input type="hidden" name="idPembaruan" value="${idPembaruan}">
            <input type="hidden" id="alasanSubmit" name="alasan">
            <input type="hidden" id="setujuTolakFp" name="setujuTolakFp">
            <div class="toolbar">
                #{backButton action:@katalog.PermohonanPembaruanCtr.index()/}
                #{if showButtonKirim }
                    <a id="btn_kirim" href="#"
                       class="btn btn-warning"><i class="fa fa-paper-plane"></i> &{'kirim_permohonan.label'}
                    </a>
                #{/if}
                #{if showButtonSetujuTolakData && !showButtonSetujuTolakDisposisi}
                    <a href="#" onclick="openForm()" class="btn btn-success btn-md open-approval-data"><i
                            class="fa fa-calendar-check-o"></i> &{'verifikasi_data.label'}</a>
                #{/if}
                #{if showButtonSetujuTolakDisposisi }
                    <a href="#" onclick="openFormSetuju()" class="btn btn-danger btn-md open-approval-proses"><i
                            class="fa fa-check-circle"></i> &{'proses_persetujuan.label'}</a>
                #{/if}
                *{<a href="@{create(pid)}" class="btn btn-primary"><i class="fa fa-plus"></i> &{'tambah.label'} &{'distributor.label'}</a>}*
                *{<a href="#" type="button" class="btn btn-warning btn-sm" id="persetujuan" disabled="disabled"><i class="fa fa-check"></i>}*
                *{&{'persetujuan_distributor.label'}</a>}*
                *{<label>&{'pilih_semua.label'}</label>&nbsp;<input type="checkbox" id="selectAll"/>}*
            </div>
            <!-- End Toolbar -->

            <!-- Data Table -->
            <div class="panel panel-default">
                <div class="panel-body" style="overflow-x: auto">
                    #{alert /}
                    <!-- Data Table -->
                    <table class="table table-condensed" id="tblDistributors">
                        <thead>
                        <tr>
                            *{<th></th>}*
                            <th>&{'nomor.label'}</th>
                            <th>&{'nama_distributor.label'}</th>
                            <th>&{'nomor_telp.label'}</th>
                            <th>&{'email.label'}</th>
                            <th>&{'situs_web.label'}</th>
                            <th>&{'status.label'}</th>
                            <th>&{'aksi.label'}</th>
                        </tr>
                        </thead>
                    </table>
                </div>
            </div>
            <!-- End Data Table -->
        #{/form}
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="editModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabel">&{'persetujuan_distributor.label'}</h4>
                </div>
                <div class="modal-body">
                    <div id="error-message" class="alert alert-danger" role="alert" style="display: none"></div>
                    <div class="form-group">
                        <label class="control-label">&{'alasan.label'} </label>
                        <textarea id="alasan" class="form-control"></textarea>
                    </div>
                    <input id="input_id" name="id_sumber" type="hidden" />
                    * &{'wajib_diisi_jika_menolak.label'}
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary setujuTolak" value="setuju">&{'setuju.label'}</button>
                    <button type="button" class="btn btn-primary setujuTolak" value="tolak">&{'tolak.label'}</button>
                    <button type="button" class="btn btn-warning" data-dismiss="modal">&{'batal.label'}</button>
                </div>
            </div>
        </div>
    </div>
#{include 'katalog/ProdukCtr/permohonan/dialogPersetujuan.html'/}
</div>


#{set 'moreScripts'}
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"></script>
<script type="text/javascript">
    jQuery(document).ready(function() {
        $("#tblDistributors").dataTable({
            ajax : {
                url : "@{DataTableCtr.pengajuanPembaruanPenyediaDistributor()}",
                cache : true,
                data : {
                    idDist : ${idsDist},
                    idPembaruan : ${idPembaruan}
                }
            },
            columns : [ {
                "searchable" : false, "className": "header-center",
                render : function(data, type, row, meta) {
                    return meta.row + meta.settings._iDisplayStart + 1 + ".";
                }
            }, {
                "searchable" : true
            }, {
                "searchable" : true
            }, {
                "searchable" : true
            }, {
                "searchable" : false
            }, {
                "searchable" : false, "className": "header-center"
            }, {
                "searchable" : false, "className": "header-center"
            } ]
        });

        $("body").on("click", ".idDistributors", function () {
            var jumlahCek = $('[name="idDistributor"]:checked').length;

            // console.log(jumlahCek);

            if(jumlahCek > 0){
                $("#persetujuan").removeAttr('disabled');
            }else{
                $("#persetujuan").attr('disabled','disabled');
            }
        });

        $("#selectAll").click(function () {
            var checked = $(this).is(":checked");
            if(checked){
                $(".idDistributors").prop("checked", true);
                $("#persetujuan").removeAttr('disabled');
            } else {
                $(".idDistributors").prop("checked", false);
                $("#persetujuan").attr('disabled','disabled');
            }
        });

        $("body").on("click", "#persetujuan", function() {
            $("#editModal").modal();
        });

        $("body").on("click", ".setujuTolak", function() {
            var this_val = $(this).val();
            var alasan_val = $("#alasan").val();

            if(this_val == "tolak" && alasan_val == ""){
                $("#error-message").html("&{'produk.tolak.alasan.error'}");
                $("#error-message").show();
            }else{
                $("#error-message").hide();
                $("#alasanSubmit").val($("#alasan").val());
                $("#setujuTolakFp").val($(this).val());
                $("#editModal").modal('hide');
                $("#formPersetujuans").submit();
            }
        });

        $("#btn_kirim").on("click", function (e) {
            e.preventDefault();

            var msg = "&{'warning_kirim_permohonan.label'}";
            var conf = confirm(msg);
            var href = "@{katalog.PermohonanPembaruanCtr.mintaPersetujuanSubmit(idPembaruan)}";
            if (conf == true) {
                window.location.href = href;
                //$("#btnKirim").click();
            }
        });

    });

    function openForm() {
        // document.getElementById("pembatalanForm").style.display = "block";
        $('#tipe').val("data");
        $('#permId').val(${idPembaruan});
        $('#modalTitle').text("&{'form_persetujuan.label'} &{'verifikasi_data.label'}");
        $('#formPersetujuan').modal('show').find('.modal-body').load($(this).attr('href'));
    }

    function openFormSetuju() {
        // document.getElementById("pembatalanForm").style.display = "block";
        $('#tipe').val("proses");
        $('#permId').val(${idPembaruan});
        $('#modalTitle').text("&{'form.label'} &{'proses_persetujuan.label'}");
        $('#formPersetujuan').modal('show').find('.modal-body').load($(this).attr('href'));
    }

    function submitSetuju() {
        if ($('#formPersetujuan #alasan').val() == "") {
            showToast(0);
        } else if ($('#formPersetujuan #tipe').val() == "proses" && ($('#kirimKeUser').val() == "" || $('#kirimKeUser').val() == null)) {
            showToast(1);
        } else {
            var st = "setuju";
            $('#formPersetujuan #setujuTolak').val(st);
            $('#formSetuju').submit();
        }
    }

    function submitTolak() {
        if ($('#formPersetujuan #alasan').val() == "") {
            showToast(0);
        } else {
            var st = "tolak";
            $('#formPersetujuan #setujuTolak').val(st);
            $('#formSetuju').submit();
        }
    }

    function showToast() {
        if (tipe == 0){
            jQuery.toast({
                heading: "&{'peringatan.label'}",
                text: "&{'alasan_tidak_boleh_kosong.label'}",
                position: 'bottom-center',
                stack: false,
                icon: 'error',
                hideAfter: 6000
            })
        } else {
            jQuery.toast({
                heading: "&{'peringatan.label'}",
                text: "&{'alasan_user_tidak_boleh_kosong.label'}",
                position: 'bottom-center',
                stack: false,
                icon: 'error',
                hideAfter: 6000
            })
        }
    }

    // $(document).ready(function(){
    //
    // });

</script>
#{/set}
